# Copyright (C) 2005-2006 Frederic Back <fredericback@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTIBILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

"""
A Package of classes used by mezogis
"""

#-------------------------------------------------------------------------- i18n
import gettext
gettext.install('mezogis')
# change to test a translation
#lang = gettext.translation('mezogis', languages=['fr'])
#lang.install()

#---------------------------------------------------------------- main libraries
from _options import Options
from _dbtools import Table, joinBoxes, Database, getGeometryExtent
from _pane_db import TableInformer
from _guicore import PGButler
from _geodata import ResultSet, Layer, Colour
from _plugins import Argument, UserPlugin

#--------------------------------------------------------------- load extensions

#import extension_example

import _pluginloader        # load and execute external python plugins
import _project_io          # functions to load and save project files

import _mapping_tools
